import dataUtils from '../../src/utils/dataUtils';

describe('Testing dataUtils', () => {
  describe('functions', () => {
    it('moneyToRMB should work', () => {
      expect(dataUtils.moneyToRMB(1)).toEqual('壹圆整');
      expect(dataUtils.moneyToRMB(1.2)).toEqual('壹圆贰角');
      expect(dataUtils.moneyToRMB(1.23)).toEqual('壹圆贰角叁分');
      expect(dataUtils.moneyToRMB(1.234)).toEqual('壹圆贰角叁分');
      expect(dataUtils.moneyToRMB(0)).toEqual('零圆');
      expect(dataUtils.moneyToRMB(0.5)).toEqual('伍角');
      expect(dataUtils.moneyToRMB(0.56)).toEqual('伍角陆分');
      expect(dataUtils.moneyToRMB(0.567)).toEqual('伍角陆分');
      expect(dataUtils.moneyToRMB(12345678.09)).toEqual('壹仟贰佰叁拾肆万伍仟陆佰柒拾捌圆玖分');
    });
  });
});
